Khronos Public Bugzilla
Bug 415 - enumext.spec, extensions ATI_fragment_shader bug
enumext.spec, extensions ATI_fragment_shader bug
Status: RESOLVED FIXED
Product: OpenGL
Classification: Unclassified
Component: Registry
unspecified
All All
: P3 normal
: ---
Assigned To: Jon Leech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-23 08:21 PST by giotis.nikos
Modified: 2013-06-13 03:46 PDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description giotis.nikos 2011-01-23 08:21:00 PST
This is from file enumext.spec

# $Revision: 13168 $ on $Date: 2010-12-09 02:18:26 -0800 (Thu, 09 Dec 2010) $
...
line 5276: 2X_BIT_ATI					= 0x00000001
line 5277: 4X_BIT_ATI					= 0x00000002
line 5278: 8X_BIT_ATI					= 0x00000004
line 5279: HALF_BIT_ATI					= 0x00000008
line 5280: QUARTER_BIT_ATI					= 0x00000010
line 5281: EIGHTH_BIT_ATI					= 0x00000020
line 5282: SATURATE_BIT_ATI				= 0x00000040
line 5283: 2X_BIT_ATI					= 0x00000001

The enum 2X_BIT_ATI is listed two times, one at line 5276 and one at line 5283
Comment 1 Jon Leech 2013-06-13 03:46:29 PDT
This should be fixed in the new XML API Registry and in the
headers generated from that; see

http://www.opengl.org/registry/#specfiles
https://cvs.khronos.org/svn/repos/ogl/trunk/doc/registry/public/api/

We don't plan to maintain the old .spec files going forward and it
will not be fixed there; we'd like people to migrate to using the
XML registry for whatever external purposes they might be using
.spec for today, because .spec files are just too painful for us
to keep maintaining.